#!/bin/bash

## Author:  Fabrizio "Ramiel" Ruggeri
## Contact ramiel@cheapnet.it
## Site: ramielinux.wordpress.com
## Version 0.3.3
CHOICE=`kdialog --menu "Select distribution:" 0 "(K)Ubuntu" 1 "Debian based" 2 "Other"`
if [ $CHOICE = "0" ];  then
#nel caso in cui siamo su (K)Ubuntu installiamo tranquillamente
	echo "You selected Kubuntu"
	echo "aMule collection script installing..."
	sudo dpkg -i amule-emc_1.0_i386.deb
	sudo apt-get install amule-utils
	sudo cp amk.py /usr/bin
	sudo chmod +x /usr/bin/amk.py
	echo "eService menu installing..."
	cp handleEmc.desktop $HOME/.kde/share/apps/konqueror/servicemenus/handleEmc.desktop -v



elif [ $CHOICE = "1" ];  then
	#installiamo controllando che esista sudo
		echo "You selected Debian"
		echo "aMule collection script installing..."
		
		if [[ ! `which sudo 2>/dev/null` ]]; then
			echo "Sudo is not present in your system,"
			echo "probabily you need to insert your password sometime"
			su -c "dpkg -i amule-emc_1.0_i386.deb"
			su -c cp amk.py /usr/bin -v
			su -c chmod +x /usr/bin/amk.py
		else
			sudo dpkg -i amule-emc_1.0_i386.deb
			sudo cp emc /usr/bin -v
			sudo chmod +x /usr/bin/amk.py
		fi
			echo "Service menu installing..."
			cp handleEmc.desktop $HOME/.kde/share/apps/konqueror/servicemenus/ -v
			kdialog --msgbox "Service Menu succesfully installed!\n\nYou need to install \npython-qt4 \namule-utils"
			exit 0


elif [ $CHOICE = "2" ];  then
	
		echo "You selected other distribution"
		tar xjvf amule-emc.tar.bz2
		cd amule-emc/
			if [[ ! `which make 2>/dev/null` ]]; then
				kdialog --error "Make is missing,install it.\nPlease refere to your distribution help"
				exit 1
			else
				make clean
				make distclean
				./configure
				make
				echo " "
				echo "================================================================"
				echo "In order to install script you have to insert your root password"
				su -c "make install"
			fi
		cd ..
		su -c cp amk.py /usr/bin -v
		su -c chmod +x /usr/bin/amk.py
		cp handleEmc.desktop $HOME/.kde/share/apps/konqueror/servicemenus/ -v
		kdialog --msgbox "Service Menu succesfully installed!\n\nYou need to install \namule-utils"
		exit 0


else 
		kdialog --msgbox "Installation aborted"
		exit 1
fi


echo "Now we'll enable some mimelnk icons for collections"
cp -R mimelnk ~/.kde/share/ -v
kbuildsycoca
echo 'installed for the user:' $USER
echo 
kdialog --msgbox "Service Menu succesfully installed!(vers.0.3.3)"
exit 0
